// $action-background-color: rgb(233, 229, 208);

$action-background-color: rgba(223, 223, 223, 0.712);
$action-background-alt-color: rgba(201, 201, 198, 0.76);
$hud-background-color: rgba(0, 0, 0, 0.753);
$hud-max-width: 550px;

.action-collapse {
    .action-header:nth-of-type(odd) {
        background-color: $action-background-color;
    }

    .action-header:nth-of-type(even) {
        background-color: $action-background-alt-color;
    }
}

.actions {
    .action-sheet-block:nth-of-type(odd) {
        background-color: $action-background-color;
    }

    .action-sheet-block:nth-of-type(even) {
        background-color: $action-background-alt-color;
    }
}

.action-sheet-block {
    border-radius: 6px;
}

// .rollable.actionCard-roll {//     // background-color: rgb(194, 192, 192)//     // flex: 4;
// }
// .action-title {
//     flex: 1;
//     align-items: left;
//     align-content: left;
//     text-align: left;
// }

.action-sheet.action-name {
    flex: auto 1;
}

.action-sheet,
.actionGroup-sheet {     
    .action-image {
        // flex: auto 1;
        flex: 0 0 24px;
        height: 24px;
        width: 24px;
        margin-right: 5px;
        border-radius: 5px;
    }
    .sheet-footer {
        padding-top: 10px;
    }
}

.action-block-images {
    align-items: center;
    align-content: center;
    text-align: left;
}

.actionImage {
    display: block;
    margin-left: auto;
    margin-right: auto;
}

div.action-resource-trunc > select {
    width: 100px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.actionGroup {
    border: 1px groove;
    border-radius: 5px;
    margin-top: 1px;
    margin-bottom: 1px;
    margin-right: 2px;
    margin-left: 2px;
}

.actionEntry {
    border-width: 0.5px;
    border-style: groove hidden hidden hidden;
    font-size: 1.01em;
    justify-content: center;
    text-align: left;
    align-items: center;
    height: 24px;
}

.action:hover,
.actionEntry:hover {
    background-color: var(--ars_yellow);
    transition: all 0.3s ease;
    transform: scale(1.01); /* Slightly increases the size */
}

.actionEntry > div {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.action-dice-visual {
    flex: 0 0 24px;
    height: 24px;
    background-size: 24px;
    border: none;
    margin-right: 5px;
    flex-shrink: 1;
}

.action-control-buttons {
    flex-basis: 55px;
    flex-grow: 0;
    text-align: center;
    font-size: 0.99em;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    align-content: center;
    text-align: center;
    .green {
        color: rgb(90, 163, 18);
    }
    .red {
        color: rgb(255, 0, 0);
    }
    .action-group-edit {
        font-size: 0.85em;
    }
}

.action-control {
    // flex: 0 0 86px;
    padding-right: 5px;
    text-align: right;
}

.action-header {
    margin-bottom: 0;
    margin-top: 0;
}

.delete-damage {
    align-items: center;
    align-content: center;
    text-align: center;
}

.action-titles,
.action-list {
    list-style: none;
    margin: 0px;
    padding: 0px;

    .initiative-roll-speed {
        flex-grow: 0;
        flex-basis: 25px;
    }

    .action {
        height: 25px;
        line-height: 24px;
        padding: 1px 0;
        border-bottom: 1px solid #bbb;

        .action-name {
            flex: 2;
            margin: 0;
            overflow: hidden;
            font-size: 1.01em;
            text-align: left;
            align-items: center;
        }

        .action-name {
            cursor: pointer;
            &.rollable:hover .item-image,
            &.rollable:hover .action-image {
                background-image: url('../../icons/svg/d20-grey.svg') !important;
            }
            &.rollable .item-image:hover,
            &.rollable .action-image:hover {
                background-image: url('../../icons/svg/d20-black.svg') !important;
            }
        }

        .action-image {
            flex: 0 0 24px;
            height: 24px;
            background-size: 24px;
            border: none;
            margin-right: 5px;
            flex-shrink: 1;
            border-radius: 5px;
        }
    }
}
